Name:           xsel
Version:        1.2.0
Release:        %mkrel 1
Summary:        Command line clipboard and X selection tool
Group:          System/X11
License:        MIT
URL:            http://www.vergenet.net/~conrad/software/xsel/
Source0:        http://www.vergenet.net/~conrad/software/xsel/download/xsel-%{version}.tar.xz
Patch0:         xsel-1.2.0-MAX_NUM_TARGETS.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xt-devel

%description
XSel is a command line or script utility, similar to xclip, that can copy the
primary and secondary X selection, or any highlighted text, to or from a file,
stdin or stdout. It can also append to and delete the clipboard or buffer that
you would paste with the middle mouse button.

%prep
%setup -q
%patch0 -p1 -b .MAX_NUM_TARGETS

%build
%configure2_5x
%make

%install
rm -rf %buildroot
make DESTDIR=%buildroot install



%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_mandir}/man1/xsel.1x*
%{_bindir}/xsel

%clean
rm -rf %buildroot

%changelog
* Fri May 30 2014 bb <bb> 1.2.0-1pclos2014
- import into pclos
